Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception
Class JDBCExceptionHelper

    java.lang.Object
      org.hibernate.exception.JDBCExceptionHelper

    public final class JDBCExceptionHelper

extends Object

Implementation of JDBCExceptionHelper.

Author:
  Steve Ebersole

Method Summary
`static JDBCException` | `convert(SQLExceptionConverter converter, SQLException sqlException, String message)` Converts the given SQLException into Hibernate's JDBCException hierarchy, as well as performing appropriate logging.
`static JDBCException` | `convert(SQLExceptionConverter converter, SQLException sqlException, String message, String sql)` Converts the given SQLException into Hibernate's JDBCException hierarchy, as well as performing appropriate logging.
`static String` | `determineSqlStateClassCode(String sqlState)`
`static int` | `extractErrorCode(SQLException sqlException)` For the given SQLException, locates the vendor-specific error code.
`static String` | `extractSqlState(SQLException sqlException)` For the given SQLException, locates the X/Open-compliant SQLState.
`static String` | `extractSqlStateClassCode(SQLException sqlException)` For the given SQLException, locates the X/Open-compliant SQLState's class code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### convert

    public static JDBCException convert(SQLExceptionConverter converter,
                                        SQLException sqlException,
                                        String message)

  Converts the given SQLException into Hibernate's JDBCException hierarchy, as well as performing appropriate logging.

  Parameters:
    `converter` - The converter to use.
    `sqlException` - The exception to convert.
    `message` - An optional error message.
  Returns:
    The converted JDBCException.

### convert

    public static JDBCException convert(SQLExceptionConverter converter,
                                        SQLException sqlException,
                                        String message,
                                        String sql)

  Converts the given SQLException into Hibernate's JDBCException hierarchy, as well as performing appropriate logging.

  Parameters:
    `converter` - The converter to use.
    `sqlException` - The exception to convert.
    `message` - An optional error message.
  Returns:
    The converted JDBCException.

### extractErrorCode

    public static int extractErrorCode(SQLException sqlException)

  For the given SQLException, locates the vendor-specific error code.

  Parameters:
    `sqlException` - The exception from which to extract the SQLState
  Returns:
    The error code.

### extractSqlState

    public static String extractSqlState(SQLException sqlException)

  For the given SQLException, locates the X/Open-compliant SQLState.

  Parameters:
    `sqlException` - The exception from which to extract the SQLState
  Returns:
    The SQLState code, or null.

### extractSqlStateClassCode

    public static String extractSqlStateClassCode(SQLException sqlException)

  For the given SQLException, locates the X/Open-compliant SQLState's class code.

  Parameters:
    `sqlException` - The exception from which to extract the SQLState class code
  Returns:
    The SQLState class code, or null.

### determineSqlStateClassCode

    public static String determineSqlStateClassCode(String sqlState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD